<template>
	<div class="layer-bg">
		<client-only>
			<MkPageSpinner v-if="SHOW_PAGE_SPINNER" />
			<div class="max-w-1240 mx-auto">
				<div class="flex flex-col md:px-10 lg:px-0 mt-1 mb-8 md:mb-10">
					<h1
						class="font-secondary-font-regular text-2xl md:text-28 lg:text-5xl pb-8 pt-15 md:pt-24 lg:pt-10 px-4 md:px-0"
					>
						My account
					</h1>
					<div
						v-show="maskToggle"
						class="bg-black fixed top-18 right-0 left-0 bottom-0 opacity-20 lg:hidden z-40"
						@click="maskToggle = !maskToggle"
						@keypress.enter="maskToggle = !maskToggle"
					></div>
					<div class="flex flex-col lg:flex-row lg:justify-start">
						<div>
							<Mknavbar :mask-toggle="maskToggle" @toggle="($value) => (maskToggle = $value)" />
						</div>
						<div class="flex flex-col w-full">
							<Nuxt-child />
						</div>
					</div>
				</div>
			</div>
		</client-only>
	</div>
</template>
<script>
import { mapState } from 'vuex';
import Mknavbar from '~/components/D2C/molecules/Mknavbar.vue';
import MkPageSpinner from '~/components/D2C/atoms/MkPageSpinner/MkPageSpinner.vue';
export default {
	name: 'MKAccount',
	components: { Mknavbar, MkPageSpinner },
	layout: 'aurora-layout',
	middleware: 'auth',
	data() {
		return {
			maskToggle: true,
		};
	},
	computed: {
		...mapState('CHECKOUT_STORE', ['SHOW_PAGE_SPINNER']),
	},
};
</script>
